Description

Supportanfrage

Gibt es eine einfache Moglichkeit, Datenstréme zu "typecasten"? Bspw. erhalte ich einen anonymen Stream, welchen ich gerne live
mittels DDL umcasten wiirde, da ich die Struktur genau kenne. Natirlich kann man ein einfaches Plugin dazu bauen. Gibt es eine
einfachere bzw. offizielle Methode? Ist etwas in diese Richtung geplant?

Lésung
Hierzu gibt es nichts und ist auch nichts geplant.

ADTF 3.x sagt, ein Stream soll stets mit DDL beschrieben sein und das mitsenden.
Die einzige Ausnahme waére ein generischer Receiver, siehe UDP Implementierung:

e htips://support.digitalwerk.net/adtf/v3/adtf _html/page_demo_non_adif_application sender_receiver.html
Mehr ist an dieser Stelle nicht geplant.

Grundsétzlich macht es Sinn, Plugins stets mit festen Strukturen zu versehen, das kann man dann wie einen "Vertrag" sehen, gegen
den man entwickelt, ausfiihrst und funktioniert.

Alles was ungerichtet ist, ist geféhrlich und v.a. im Fehlerfall nicht so einfach nachvollziehbar, gerade in komplexeren Setups, ggf.
noch ohne Detailwissen der Komponenten.

Ein letzter Ansatz wére noch ein Scripting Filter, mit dem agil in gewissen Sessions reagieren kann.

Die Streaming Source (und auch Sink) kann produktiv verwendet werden und wird supportet.

Unsere Intention war zun&chst es quelloffen zu liefern, so dass die Kunden weitere Protokolle selbst anbinden kénnen. Das haben
wir mittlerweile fr TCP nachgeholt und hatte auch Closed Source Basiskomponenten sein kdnnen, dann passts aber wieder nicht
zur Class ID und diese kdnnen wir nicht &ndern sonst laufen alte Sessions nicht...

Deshalb ist unser Verstandnis von "Demos", dass wir hier den Source Code zum Verstandnis und ggf. Erweiterungen liefern.

Ich habe ein Ticket (ACORE-10616) erstellt, dass aus den Labelnamen den Demo Préfix streichen soll fr Filter und
(Streaming/System) Services, welche eigentlich fiir den produktiven Einsatz gedacht sind. Das Préafix in der CID soll zeigen, dass der
Source Code verfligbar ist.

Das ganze wiirde ich dann am Ende auch dokumentieren, um Klarheit zu schaffen.

Fazit:
Werden wir anpassen um euch mehr Sicherheit zu geben, die kannst diese Komponente &hnlich bedenkenlos einsetzen wie das
Media oder Video Display

History

#1 - 2020-07-29 09:39 - hidden
- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2020-07-29 17:04 - hidden
https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_non_adtf_application_sender_receiver.html

- Status changed from In Progress to Customer Feedback Required

Hallo Patrick,
hierzu gibt es nichts und ist auch nichts geplant.
ADTF 3.x sagt, ein Stream soll stets mit DDL beschrieben sein und das mitsenden.

Die einzige Ausnahme waére ein generischer Receiver, siehe UDP Implementierung:

e https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_non_adtf_application_sender_receiver.html

Mehr ist an dieser Stelle nicht geplant.

Grundsatzlich macht es Sinn, Plugins stets mit festen Strukturen zu versehen, das kann man dann wie einen "Vertrag" sehen, gegen den man
entwickelt, ausfuhrst und funktioniert.

Alles was ungerichtet ist, ist gefahrlich und v.a. im Fehlerfall nicht so einfach nachvollziehbar, gerade in komplexeren Setups, ggf. noch ohne
Detailwissen der Komponenten.

Ein letzter Ansatz ware noch ein Scripting Filter, mit dem agil in gewissen Sessions reagieren kann.

Hilft dir das weiter, hast du weitere Anregungen oder macht das deinen Use Case komplizierter ?

#3 - 2020-07-30 07:58 - hidden

Um genau so einen generischen Receiver (UDP) geht es. Hier kommt ein anonymer Stream heraus. Das heif3t also, daf3 wir einen eigenen
"Typecast"-Filter bauen missen.

Danke fir die Info!

#4 - 2020-07-30 08:15 - hidden

Hi Patrick,

aber auch genau so einen UDP Filter liefern wir ja schon mit (

https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_non_adtf_application_sender_receiver.html). Und der hat auch die Mdglichkeit eine DDL
vom Media Description Service zu holen und auf den Stream Type zu setzen.

Gibts einen Grund warum ihr nicht den nehmen kénnt, bzw. warum das nicht der von Euch verwendete UDP Filter macht, der ist ja fir seine Daten
verantwortlich?

GriuBe,
Martin
#5 - 2020-07-30 08:18 - hidden
Hi Patrick,
Um genau so einen generischen Receiver (UDP) geht es. Hier kommt ein anonymer Stream heraus. Das heif3t also, daf3 wir einen eigenen

"Typecast"-Filter bauen missen.

Dann solltest du eigentlich diese Streaming Source genauso verwenden kdnnen.

Anhand von Properties holt er sich die DDL vom Media Description Service und setzt den Stream Type.
Du wirst es ja genauso bereitstellen oder ?

Dann brauchst du eigentlich nichts mehr casten.

Auf Empfangerseite steht dann alles bereits im Stream, da musst du nichts mehr machen.
Das ware die Lésung die out of the box geht.

Natdrlich kannst du es auch genau anders rum machen, aber das ware doppelter Code in meinen Augen.

#6 - 2020-07-30 08:19 - hidden

Ah, Martin hatte den gleichen Gedanken, gut dass die zwei Aussagen matchen :-)

#7 - 2020-07-30 10:20 - hidden

Das hort sich gut an. Was bedeutet "Demo" im Namen? Ist das Plugin supportet? Ist die "Demo" nur als Beispiel/Anregung flr den Bau eines eigenen
Filters gedacht? Wir miissen eine zuverlédssige Tool-Kette aufbauen, wo solch eine Filterbezeichnung Fragen aufwerfen wird.

#8 - 2020-07-30 10:26 - hidden
Hi Patrick,

ja der ist komplett supportet und ist zuséatzlich noch als Beispiel verfligbar.
@Flo: Ich denke wir missen das "Demo" endlich aus allen Labels streichen, das fihrt wie wir schon 6fters gesehen haben dazu, dass sie nicht
verwendet werden.

GriBe,

Martin

#9 - 2020-07-30 10:52 - hidden

- Project changed from 11 to Public Support

- Subject changed from Typecast von Streams to Typecast of Streams to receive data from UDP
- Description updated

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10616

Hi Patrick,

wie Martin sagt, kann die Streaming Source (und auch Sink) produktiv verwendet werden und wird supportet.

Unsere Intention war zunéchst es quelloffen zu liefern, so dass die Kunden weitere Protokolle selbst anbinden kénnen. Das haben wir mittlerweile far
TCP nachgeholt und hétte auch Closed Source Basiskomponenten sein kénnen, dann passts aber wieder nicht zur Class ID und diese kénnen wir
nicht andern sonst laufen alte Sessions nicht...

Deshalb ist unser Verstandnis von "Demos", dass wir hier den Source Code zum Versténdnis und ggf. Erweiterungen liefern.

Ich habe ein Ticket (ACORE-10616) erstellt, dass aus den Labelnamen den Demo Préfix streichen soll fir Filter und (Streaming/System) Services,
welche eigentlich fur den produktiven Einsatz gedacht sind. Das Préfix in der CID soll zeigen, dass der Source Code verfugbar ist.
Das ganze wirde ich dann am Ende auch dokumentieren, um Klarheit zu schaffen.

Fazit:
Werden wir anpassen um euch mehr Sicherheit zu geben, die kannst diese Komponente ahnlich bedenkenlos einsetzen wie das Media oder Video
Display

#10 - 2020-07-30 10:59 - hidden

Danke fir die Info. So ein Filter wére auf jeden Fall niitzlich, sofern das "Non-ADTF-Sender" im Namen so gemeint ist, da3 UDP-Datagramme aus
der freien Wildbahn gemeint sind, bspw. Prifstande im Prufgelande mit proprietaren Protokollen. Meine letzte Info vor langer Zeit war, daf3 so ein
Filter nicht geplant ware und nur ADTF-to-ADTF-Kommunikation via UDP auf der Agenda stehen wirde.

Ansonsten sind meine Fragen beantwortet. Das Ticket kann geschlossen werden.
#11 - 2020-07-30 11:08 - hidden
Hi Patrick,
So ein Filter wéare auf jeden Fall nitzlich, sofern das "Non-ADTF-Sender" im Namen so gemeint ist, da UDP-Datagramme aus der freien

Wildbahn gemeint sind, bspw. Prifstdnde im Prifgelande mit proprietaren Protokollen.

Genau das ist die Intetion, du brauchst auf der Gegenseite keine IPC Implementierung, was bei ADTF-2-ADTF der Fall ware.
Diese Seite Non-ADTF Application and IPC Integration Examples fasst das imho eigentlich gut zusammen und welche Méglichkeiten der
Kommunikation und Implementierungen es gibt.

#12 - 2020-07-30 12:09 - hidden
- Customer changed from VW to Car.SW Org.

#13 - 2020-07-30 15:58 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#14 - 2020-08-05 08:09 - hidden

Ich habe den Demo-Receiver nun ausprobiert: Es klappt, auch das Festlegen einer DDL fir den Stream. Wenn ihr das "Demo" aus dem Namen
entfernen wirdet, ware ich voll zufrieden.

Das Ticket kann geschlossen werden.

#15 - 2020-10-06 10:27 - hidden
- Status changed from To Be Closed to Closed
https://support.digitalwerk.net/adtf/v3/adtf_html/page_examples_remote_ipc.html

#16 - 2021-07-26 13:24 - hidden
- Customer changed from Car.SW Org. to CARIAD
